Bug 483410 - Advent 4213 - some fn keys not working
Advent 4213 - some fn keys not working
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xkeyboard-config (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraMini/Mobility
  Show dependency treegraph
 
Reported: 2009-01-31 17:07 EST by Luke Sheldrick
Modified: 2009-05-20 16:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-20 16:22:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Luke Sheldrick 2009-01-31 17:07:52 EST
Description of problem:

On the Advent 4213, some of the fn action keys do not work. Some do, including bluetooth, vol+, vol-, standbye, brightness. However mute , and silent mode & camera do not.  

Version-Release number of selected component (if applicable):
Latest;
[root@smallfry ~]# rpm -qa | grep kernel
kerneloops-0.12-1.fc10.i386
kernel-2.6.27.5-117.fc10.i686
kernel-firmware-2.6.27.12-170.2.5.fc10.noarch
kernel-2.6.27.12-170.2.5.fc10.i686
kernel-headers-2.6.27.12-170.2.5.fc10.i386

Steps to Reproduce:
1. Get a 4213 
2. Install fc10
3. Update via yum

Note sure what info you need, however when they keys are pressed, the following messages are shown in dmesg;

atkbd.c: Unknown key pressed (translated set 2, code 0xf9 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e079 <keycode>' to make it known.
atkbd.c: Unknown key released (translated set 2, code 0xf9 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e079 <keycode>' to make it known.
atkbd.c: Unknown key pressed (translated set 2, code 0xac on isa0060/serio0).
atkbd.c: Use 'setkeycodes e02c <keycode>' to make it known.
atkbd.c: Unknown key released (translated set 2, code 0xac on isa0060/serio0).
atkbd.c: Use 'setkeycodes e02c <keycode>' to make it known.
atkbd.c: Unknown key pressed (translated set 2, code 0xbd on isa0060/serio0).
atkbd.c: Use 'setkeycodes e03d <keycode>' to make it known.
atkbd.c: Unknown key released (translated set 2, code 0xbd on isa0060/serio0).
atkbd.c: Use 'setkeycodes e03d <keycode>' to make it known.
Comment 1 Peter Robinson 2009-02-01 07:36:28 EST
what happens if you do a 'setkeycodes e079 code" where each of the non working ones maps through to the equivalent X key code. the command 'xmodmap -pke' will give you the current mapping for your machine. EG mute is keycode 121

reassigning this to xkeyboard-config as its not a kernel issue and I think its better suited.
Comment 2 Matěj Cepl 2009-02-07 09:21:14 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Peter Hutterer 2009-02-08 21:16:58 EST
A bit more info about what's up here and how to fix it:
http://people.freedesktop.org/~hughsient/quirk/quirk-keymap-index.html

Basically you need to remap the codes to the matching keys as defined in /usr/include/linux/input.h. The page above has the instructions.
Comment 4 Hans de Goede 2009-05-20 14:10:37 EDT
I've an MSI Wind U-100 (of which the Advent 4213 is an oem version) and together with the latest MSI bios, all the hotkeys work fine in F-11. So I believe this bug can be closed.
Comment 5 Luke Sheldrick 2009-05-20 16:22:31 EDT
The Advent 4211 is an OEM version of the MSI Wind U-100, not the 4212 & 4213.

None the less, I have tested with FC11, and all seems to work fine, barring the 'Quite Mode' which isn't really needed as Fedora steps down of it's own accord, so this feautre isn't needed.

I'd consider this closed.

Note You need to log in before you can comment on or make changes to this bug.